Subject: Re: [PATCH] git-cvsserver: handle change type T

From: Paolo Bonzini <[email-masked]>
Date: Mon, 17 Mar 2008 08:54:08 +0100

> What I am questioning is what the code should do (IOW, what would be good
> for cvs clients to see).  Should it send a symlink as a regular file, or
> simply just omit it?  If the answer is "the former", then we do not have
> to worry about it any further after applying your patch.  Otherwise we
> still have to do something _else_ after applying your patch.  I did not
> know which way we would want to proceed, and I still don't.

The reason why my patch was enough for me, is that users would just use 
the cvs bridge to stay up-to-date, not to spelunk the history (maybe to 
spelunk it with annotate, but not to look at old versions etc.).  For 
that, all I need is that current checkouts are okay.  We have to decide 
if other cvsserver use cases are common enough.

If they are, I think the optimal way to proceed could be to detect 
relative symlinks and resolve them (sending the linked file's content), 
and do "something else" (omit it, send the destination path as a regular 
file?) for absolute symlinks.

Paolo